Test Cases
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the Test Case. Type: integer (path) |
Responses
| Code | Description |
|---|---|
| 200 |
Test Case data. Media type: application/json Example Value: { "id": 0, "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0, "mobileDeviceName": "string", "msisdn": "stringstr" } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string", "mobileDeviceName": "string", "msisdn": "stringstr" } ], "projects": [ { "id": 0, "name": "string" } ] } |
| 404 |
Resource was not found. Media type: application/json Example Value: { "id": 0, "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0, "mobileDeviceName": "string", "msisdn": "stringstr" } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string", "mobileDeviceName": "string", "msisdn": "stringstr" } ], "projects": [ { "id": 0, "name": "string" } ] } |
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the Test Case. Type: integer (path) |
Responses
| Code | Description |
|---|---|
| 200 |
Test Case was updated successfully. Media type: application/json Example Value: { "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0 } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string" } ] } |
| 404 |
Resource was not found. Media type: application/json Example Value: { "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0 } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string" } ] } |
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the Test Case. Type: integer (path) |
Responses
| Code | Description |
|---|---|
| 200 | Test Case was deleted successfully. |
| 404 | Resource was not found. |
| 409 | Resource cannot be deleted. |
Parameters
No parameters
Request body
application/json
Example Value:
[ { "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0 } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string" } ] } ]
Responses
| Code | Description |
|---|---|
| 200 |
OK Media type: application/json Example Value: { "ids": [ 0 ] } |
Parameters
No parameters
Request body
application/json
Example Value:
{ "ids": [ 0 ] }
Responses
| Code | Description |
|---|---|
| 200 |
OK Media type: application/json Example Value: [ { "id": 0, "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0, "mobileDeviceName": "string", "msisdn": "stringstr" } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string", "mobileDeviceName": "string", "msisdn": "stringstr" } ], "projects": [ { "id": 0, "name": "string" } ], "devices": [ { "id": 0, "name": "string", "msisdn": "stringstr", "imsi": "string", "imei": "stringstringstr", "ranType": "string", "testNodeId": 0, "testNodeName": "string", "deviceModelId": 0, "deviceModelName": "string", "subscriptionType": "string", "platformName": "string", "deviceId": "string", "nationalFormat": "string", "internationalFormat": "string", "iccid": "string", "eid": "string", "projects": [ { "id": 0, "name": "string" } ] } ], "apiClients": [ { "basicAuthViaSecrets": true, "name": "string", "apiClientAuthType": "NONE", "headerParams": { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string" }, "authParams": { "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string" }, "serverURL": "string", "payload": "string", "httpMethod": "string", "failureRegexBody": "string", "username": "string", "password": "string", "tokenEndpointForOAuth2": "string", "oauth2Scopes": "string", "id": 0, "projects": [ { "id": 0, "name": "string" } ] } ] } ] |
Parameters
| Name | Description |
|---|---|
| page (query) | The page to list entries. Default value: 0 |
| size (query) | The size page for listing entries. Default value: 20 |
| sort (query) | The sort type for listing entries. |
| prj (query) | The project list for filtering entries. |
| filterName (query) | The name/type of the filter. |
| filterValue (query) | The value of the filter. |
Responses
| Code | Description |
|---|---|
| 200 |
OK Media type: application/json Example Value: { "totalElements": 0, "totalPages": 0, "number": 0, "sort": { "sorted": true, "unsorted": true, "empty": true }, "size": 0, "content": [ { "projects": [ { "id": 0, "name": "string" } ], "id": 0, "name": "string", "description": "string", "testStepCount": 0, "deviceList": [ "string" ], "created": "string", "updated": "string" } ], "first": true, "last": true, "pageable": { "sort": { "sorted": true, "unsorted": true, "empty": true }, "offset": 0, "paged": true, "unpaged": true, "pageNumber": 0, "pageSize": 0 }, "numberOfElements": 0, "empty": true } |
Parameters
No parameters
Request body
application/json
Example Value:
{ "name": "string", "description": "string", "testStepList": [ { "additionalProp1": {}, "additionalProp2": {}, "additionalProp3": {} } ], "tags": "string", "disableReason": "string", "notes": "string", "disabled": true, "traceFilters": [ { "mobileDeviceId": 0, "traceFilterId": 0 } ], "sipTraceFilters": [ { "mobileDeviceId": 0, "sipMessageCodes": "string" } ] }
Responses
| Code | Description |
|---|---|
| 201 |
ID of the Test Case. Media type: application/json Example Value: { "id": 0 } |
| 409 |
Name needs to be unique. Media type: application/json Example Value: { "id": 0 } |
Parameters
| Name | Description |
|---|---|
| id * | Numeric ID of the Test Case. Type: integer (path) |
Responses
| Code | Description |
|---|---|
| 200 |
Test Suite's list. Media type: application/json Example Value: { "name": "string" } |
| 404 |
Resource was not found. Media type: application/json Example Value: { "totalElements": 0, "totalPages": 0, "number": 0, "sort": { "sorted": true, "unsorted": true, "empty": true }, "size": 0, "content": [ { "name": "string" } ], "first": true, "last": true, "pageable": { "sort": { "sorted": true, "unsorted": true, "empty": true }, "offset": 0, "paged": true, "unpaged": true, "pageNumber": 0, "pageSize": 0 }, "numberOfElements": 0, "empty": true } |